Package: org.codehaus.groovy.control.customizers.builder

## [Groovy] Class ASTTransformationCustomizerFactory

- org.codehaus.groovy.control.customizers.builder.ASTTransformationCustomizerFactory

- This factory generates an ast transformation customizer.

  Simple syntax:

      builder.ast(ToString)

  With AST transformation options:

      builder.ast(includeNames:true, ToString)

  Authors:
    Cedric Champeau
  Since:
    2.1.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isLeaf()`
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `` | `boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `onFactoryRegistration, isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, setChild, setParent, isLeaf, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, newInstance`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### @Override @CompileStatic boolean isLeaf()

    - #### @Override Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### @Override @CompileStatic boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)